petsc-3.4.2 2013-07-02

# DMPlexComputeL2Diff

This function computes the L_2 difference between a function u and an FEM interpolant solution u_h.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexComputeL2Diff(DM dm, PetscQuadrature quad[], void (**funcs)(const PetscReal [], PetscScalar *), Vec X, PetscReal *diff)

### Input Parameters

| dm | - The DM
| quad | - The PetscQuadrature object for each field
| funcs | - The functions to evaluate for each field component
| X | - The coefficient vector u_h

### Output Parameter

diff -The diff ||u - u_h||_2

### See Also

DMPlexProjectFunction()

Level:developer
Location:src/dm/impls/plex/plexfem.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex31.c.html
src/snes/examples/tutorials/ex62.c.html